OrderedProduct contains information about an item in the order.
GET /accounts/{accountId}/shops/{shopId}/orders/{orderId}/orderedProducts

Get a list of items for your order.

Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
orderId required path   int the unique identifier of the order
shopId required path   int the unique identifier of the shop
filterId query   optional saved Filter.DesignedOrderedProduct ID; empty string for all
page query 0 int zero-based page index
size query 10 int number of items per page
Response Codes
Code Condition
200 the list was retrieved successfully
Response Body
Media Type Data Type Description
application/json PagedData
application/xml PagedData
Response (XML)
<pagedData>
  <records>...</records>
  <totalElements>...</totalElements>
</pagedData>
Response (JSON)
{
  "pagedData" : {
    "records" : [ { }, { } ],
    "totalElements" : 12345
  }
}
GET /accounts/{accountId}/shops/{shopId}/orders/{orderId}/orderedProducts/{orderedProductId}

Get a single order item by its id.

Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
orderId required path   int the unique identifier of the order
orderedProductId required path   int the unique identifier of the ordered product
shopId required path   int the unique identifier of the shop
Response Codes
Code Condition
200 the resource was retrieved successfully
404 ordered product not found for the given id
Response Body
Media Type Data Type Description
application/json OrderedProduct
application/xml OrderedProduct
Response (XML)
<orderedProduct>
  <id>...</id>
  <created>2019-04-25T18:02:07+02:00</created>
  <assignedProductColor>
    <id>...</id>
    <orderIndex>1</orderIndex>
    <productColor>
      <id>...</id>
      <name>black</name>
    </productColor>
    <default>...</default>
    <active>...</active>
  </assignedProductColor>
  <assignedProductSize>
    <id>...</id>
    <orderIndex>1</orderIndex>
    <default>...</default>
    <productSize>
      <id>...</id>
      <name>XXL</name>
      <dimensions>...</dimensions>
      <groupingId>...</groupingId>
      <groupingDefault>...</groupingDefault>
    </productSize>
    <width>47</width>
    <height>68</height>
    <length>...</length>
    <accuracy>...</accuracy>
  </assignedProductSize>
  <amount>2</amount>
  <price>9.99</price>
  <uuid>...</uuid>
  <customReferenceId>Item 123456</customReferenceId>
  <customLabel>...</customLabel>
</orderedProduct>
Response (JSON)
{
  "orderedProduct" : {
    "id" : 12345,
    "created" : 12345,
    "assignedProductColor" : {
      "id" : 12345,
      "orderIndex" : 1,
      "productColor" : {
        "id" : 12345,
        "name" : "black"
      },
      "default" : true,
      "active" : true
    },
    "assignedProductSize" : {
      "id" : 12345,
      "orderIndex" : 1,
      "default" : true,
      "productSize" : {
        "id" : 12345,
        "name" : "XXL",
        "dimensions" : 12345,
        "groupingId" : "...",
        "groupingDefault" : true
      },
      "width" : 47.0,
      "height" : 68.0,
      "length" : 12345.0,
      "accuracy" : 12345.0
    },
    "amount" : 2,
    "price" : 9.99,
    "uuid" : "...",
    "customReferenceId" : "Item 123456",
    "customLabel" : "..."
  }
}
DELETE /accounts/{accountId}/shops/{shopId}/orders/{orderId}/orderedProducts/{orderedProductId}

Delete the OrderedProduct by its id.

Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
orderId required path   int the unique identifier of the order
orderedProductId required path   int the unique identifier of the ordered product
shopId required path   int the unique identifier of the shop
Response Codes
Code Condition
204 the resource was deleted successfully
404 ordered product not found for the given id
Response Body
Media Type Data Type Description
application/json object
application/xml anyType
GET /accounts/{accountId}/shops/{shopId}/orders/{orderId}/orderedProducts/{orderedProductId}/changePrintTechnologyPreview

[For Testing Purposes] Get preview of ordered item after changing of print technology of all elements.

Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
orderId required path   int the unique identifier of the order
orderedProductId required path   int the unique identifier of the ordered product
shopId required path   int the unique identifier of the shop
format query SVG   the output format (e.g., SVG, PNG)
height query 0 int desired image height in pixels (0 for default)
printTechnologyId query   int the unique identifier of the target print technology
view query FRONT   the product view to render (e.g., FRONT, BACK)
width query 0 int desired image width in pixels (0 for default)
Response Codes
Code Condition
200 the preview was rendered successfully
404 ordered product not found for the given id
Response Body
Media Type Data Type Description
application/json object
application/xml anyType
GET /accounts/{accountId}/shops/{shopId}/orders/{orderId}/orderedProducts/{orderedProductId}/image

Get image for your OrderedProduct.

Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
orderId required path   int the unique identifier of the order
orderedProductId required path   int the unique identifier of the ordered product
shopId required path   int the unique identifier of the shop
assignedViewId query -1 int the view to render (-1 for default)
bkg query     optional background color as hex RGB value
height query -1 int desired image height in pixels (-1 for original)
showError query false boolean if true, renders error indicators on the image
showStickers query true boolean if true, renders sticker overlays on the image
type query PNG "GIF" or "JPG" or "PDF" or "PNG" or "TIF" or "WEBP" the output image format (e.g., PNG, JPG)
width query -1 int desired image width in pixels (-1 for original)
Response Codes
Code Condition
200 the image was rendered successfully
404 ordered product not found for the given id
Response Body
Media Type Data Type Description
application/json object
application/xml anyType
POST /accounts/{accountId}/shops/{shopId}/orders/{orderId}/orderedProducts/usingCreatorSE

Create a new ordered product using CreatorSE.Design Data Type.

Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
orderId required path   int the unique identifier of the order
shopId required path   int the unique identifier of the shop
Request Body
Media Type Data Type Description
application/json CreatorSE.Design the design data of type CreatorSE.Design
application/xml CreatorSE.Design
Response Codes
Code Condition
200 the ordered product was created successfully
404 the order was not found in this shop
Response Body
Media Type Data Type Description
application/json OrderedProduct
application/xml OrderedProduct
Request (XML)
<creatorse_design>
  <productId>...</productId>
  <amount>...</amount>
  <assignedSize>
    <id>...</id>
    <size>
      <id>...</id>
      <name>XL</name>
    </size>
  </assignedSize>
  <assignedColor>
    <id>...</id>
    <color>
      <id>...</id>
    </color>
  </assignedColor>
  <sku>...</sku>
  <customReferenceId>Item 123456</customReferenceId>
  <customLabel>...</customLabel>
  <compositions>
    <creatorse_composition>
      <productArea>
        <id>...</id>
        <name>...</name>
        <assignedView/>
        <realSize/>
      </productArea>
      <previewResource>
        <attachment>...</attachment>
        <filename>...</filename>
        <url>...</url>
      </previewResource>
      <elements>
        <creatorse_designElementMotive>
          <motive/>
        </creatorse_designElementMotive>
        <creatorse_designElementDdf>
          <previewResource/>
          <productionResource/>
        </creatorse_designElementDdf>
        <creatorse_designElementDecoration>
          <sku>STICKER-WOVEN-001</sku>
          <placement>chest-left</placement>
        </creatorse_designElementDecoration>
      </elements>
    </creatorse_composition>
  </compositions>
</creatorse_design>
Request (JSON)
{
  "creatorse_design" : {
    "productId" : 12345,
    "amount" : 12345,
    "assignedSize" : {
      "id" : 12345,
      "size" : {
        "id" : 12345,
        "name" : "XL"
      }
    },
    "assignedColor" : {
      "id" : 12345,
      "color" : {
        "id" : 12345
      }
    },
    "sku" : "...",
    "customReferenceId" : "Item 123456",
    "customLabel" : "...",
    "compositions" : {
      "creatorse_composition" : [ {
        "productArea" : {
          "id" : 12345,
          "name" : "...",
          "assignedView" : { },
          "realSize" : { }
        },
        "previewResource" : {
          "attachment" : "...",
          "filename" : "...",
          "url" : "..."
        },
        "elements" : [ {
          "creatorse_designElementMotive" : {
            "motive" : { },
            "position" : { },
            "printTechnology" : { },
            "layers" : {
              "creatorse_designElementLayer" : [ { }, { } ]
            }
          }
        }, {
          "creatorse_designElementDdf" : {
            "previewResource" : { },
            "productionResource" : { },
            "position" : { },
            "printTechnology" : { },
            "layers" : {
              "creatorse_designElementLayer" : [ { }, { } ]
            }
          }
        }, {
          "creatorse_designElementDecoration" : {
            "sku" : "STICKER-WOVEN-001",
            "placement" : "chest-left",
            "position" : { },
            "printTechnology" : { },
            "layers" : {
              "creatorse_designElementLayer" : [ { }, { } ]
            }
          }
        } ]
      }, {
        "productArea" : {
          "id" : 12345,
          "name" : "...",
          "assignedView" : { },
          "realSize" : { }
        },
        "previewResource" : {
          "attachment" : "...",
          "filename" : "...",
          "url" : "..."
        },
        "elements" : [ {
          "creatorse_designElementMotive" : {
            "motive" : { },
            "position" : { },
            "printTechnology" : { },
            "layers" : {
              "creatorse_designElementLayer" : [ { }, { } ]
            }
          }
        }, {
          "creatorse_designElementDdf" : {
            "previewResource" : { },
            "productionResource" : { },
            "position" : { },
            "printTechnology" : { },
            "layers" : {
              "creatorse_designElementLayer" : [ { }, { } ]
            }
          }
        }, {
          "creatorse_designElementDecoration" : {
            "sku" : "STICKER-WOVEN-001",
            "placement" : "chest-left",
            "position" : { },
            "printTechnology" : { },
            "layers" : {
              "creatorse_designElementLayer" : [ { }, { } ]
            }
          }
        } ]
      } ]
    }
  }
}
Response (XML)
<orderedProduct>
  <id>...</id>
  <created>2019-04-25T18:02:07+02:00</created>
  <assignedProductColor>
    <id>...</id>
    <orderIndex>1</orderIndex>
    <productColor>
      <id>...</id>
      <name>black</name>
    </productColor>
    <default>...</default>
    <active>...</active>
  </assignedProductColor>
  <assignedProductSize>
    <id>...</id>
    <orderIndex>1</orderIndex>
    <default>...</default>
    <productSize>
      <id>...</id>
      <name>XXL</name>
      <dimensions>...</dimensions>
      <groupingId>...</groupingId>
      <groupingDefault>...</groupingDefault>
    </productSize>
    <width>47</width>
    <height>68</height>
    <length>...</length>
    <accuracy>...</accuracy>
  </assignedProductSize>
  <amount>2</amount>
  <price>9.99</price>
  <uuid>...</uuid>
  <customReferenceId>Item 123456</customReferenceId>
  <customLabel>...</customLabel>
</orderedProduct>
Response (JSON)
{
  "orderedProduct" : {
    "id" : 12345,
    "created" : 12345,
    "assignedProductColor" : {
      "id" : 12345,
      "orderIndex" : 1,
      "productColor" : {
        "id" : 12345,
        "name" : "black"
      },
      "default" : true,
      "active" : true
    },
    "assignedProductSize" : {
      "id" : 12345,
      "orderIndex" : 1,
      "default" : true,
      "productSize" : {
        "id" : 12345,
        "name" : "XXL",
        "dimensions" : 12345,
        "groupingId" : "...",
        "groupingDefault" : true
      },
      "width" : 47.0,
      "height" : 68.0,
      "length" : 12345.0,
      "accuracy" : 12345.0
    },
    "amount" : 2,
    "price" : 9.99,
    "uuid" : "...",
    "customReferenceId" : "Item 123456",
    "customLabel" : "..."
  }
}
POST /accounts/{accountId}/shops/{shopId}/orders/{orderId}/orderedProducts/usingBaseProduct/{productId}

Create a new ordered product using base product.

Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
orderId required path   int the unique identifier of the order
productId required path   int the unique identifier of the base product
shopId required path   int the unique identifier of the shop
amount query 1 int the quantity of items to add
assignedColorId query 0 int optional color variant to assign (0 for default)
assignedSizeId query 0 int optional size variant to assign (0 for default)
Response Codes
Code Condition
200 the ordered product was created successfully
400 validation failed (missing required fields or invalid values)
404 the order or base product was not found
Response Body
Media Type Data Type Description
application/json OrderedProduct
application/xml OrderedProduct
Response (XML)
<orderedProduct>
  <id>...</id>
  <created>2019-04-25T18:02:07+02:00</created>
  <assignedProductColor>
    <id>...</id>
    <orderIndex>1</orderIndex>
    <productColor>
      <id>...</id>
      <name>black</name>
    </productColor>
    <default>...</default>
    <active>...</active>
  </assignedProductColor>
  <assignedProductSize>
    <id>...</id>
    <orderIndex>1</orderIndex>
    <default>...</default>
    <productSize>
      <id>...</id>
      <name>XXL</name>
      <dimensions>...</dimensions>
      <groupingId>...</groupingId>
      <groupingDefault>...</groupingDefault>
    </productSize>
    <width>47</width>
    <height>68</height>
    <length>...</length>
    <accuracy>...</accuracy>
  </assignedProductSize>
  <amount>2</amount>
  <price>9.99</price>
  <uuid>...</uuid>
  <customReferenceId>Item 123456</customReferenceId>
  <customLabel>...</customLabel>
</orderedProduct>
Response (JSON)
{
  "orderedProduct" : {
    "id" : 12345,
    "created" : 12345,
    "assignedProductColor" : {
      "id" : 12345,
      "orderIndex" : 1,
      "productColor" : {
        "id" : 12345,
        "name" : "black"
      },
      "default" : true,
      "active" : true
    },
    "assignedProductSize" : {
      "id" : 12345,
      "orderIndex" : 1,
      "default" : true,
      "productSize" : {
        "id" : 12345,
        "name" : "XXL",
        "dimensions" : 12345,
        "groupingId" : "...",
        "groupingDefault" : true
      },
      "width" : 47.0,
      "height" : 68.0,
      "length" : 12345.0,
      "accuracy" : 12345.0
    },
    "amount" : 2,
    "price" : 9.99,
    "uuid" : "...",
    "customReferenceId" : "Item 123456",
    "customLabel" : "..."
  }
}
POST /accounts/{accountId}/shops/{shopId}/orders/{orderId}/orderedProducts/usingTemplateProduct/{designedTemplateProductId}

Save new ordered product using designedTemplate.

Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
designedTemplateProductId required path   int the unique identifier of the designed template product
orderId required path   int the unique identifier of the order
shopId required path   int the unique identifier of the shop
amount query 1 int the quantity of items to add
assignedColorId query 0 int optional color variant to assign (0 for default)
assignedSizeId query 0 int optional size variant to assign (0 for default)
designedTemplateProductSku query   optional SKU of the designed template product
Response Codes
Code Condition
200 the ordered product was created successfully
400 validation failed (missing required fields or invalid values)
404 the order, template product, or template SKU was not found
Response Body
Media Type Data Type Description
application/json OrderedProduct
application/xml OrderedProduct
Response (XML)
<orderedProduct>
  <id>...</id>
  <created>2019-04-25T18:02:07+02:00</created>
  <assignedProductColor>
    <id>...</id>
    <orderIndex>1</orderIndex>
    <productColor>
      <id>...</id>
      <name>black</name>
    </productColor>
    <default>...</default>
    <active>...</active>
  </assignedProductColor>
  <assignedProductSize>
    <id>...</id>
    <orderIndex>1</orderIndex>
    <default>...</default>
    <productSize>
      <id>...</id>
      <name>XXL</name>
      <dimensions>...</dimensions>
      <groupingId>...</groupingId>
      <groupingDefault>...</groupingDefault>
    </productSize>
    <width>47</width>
    <height>68</height>
    <length>...</length>
    <accuracy>...</accuracy>
  </assignedProductSize>
  <amount>2</amount>
  <price>9.99</price>
  <uuid>...</uuid>
  <customReferenceId>Item 123456</customReferenceId>
  <customLabel>...</customLabel>
</orderedProduct>
Response (JSON)
{
  "orderedProduct" : {
    "id" : 12345,
    "created" : 12345,
    "assignedProductColor" : {
      "id" : 12345,
      "orderIndex" : 1,
      "productColor" : {
        "id" : 12345,
        "name" : "black"
      },
      "default" : true,
      "active" : true
    },
    "assignedProductSize" : {
      "id" : 12345,
      "orderIndex" : 1,
      "default" : true,
      "productSize" : {
        "id" : 12345,
        "name" : "XXL",
        "dimensions" : 12345,
        "groupingId" : "...",
        "groupingDefault" : true
      },
      "width" : 47.0,
      "height" : 68.0,
      "length" : 12345.0,
      "accuracy" : 12345.0
    },
    "amount" : 2,
    "price" : 9.99,
    "uuid" : "...",
    "customReferenceId" : "Item 123456",
    "customLabel" : "..."
  }
}
PUT /accounts/{accountId}/shops/{shopId}/orders/{orderId}/orderedProducts/{orderedProductId}/changePrintTechnology

[For Testing Purposes] Change print technology of all elements.

Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
orderId required path   int the unique identifier of the order
orderedProductId required path   int the unique identifier of the ordered product
shopId required path   int the unique identifier of the shop
printTechnologyId query   int the unique identifier of the target print technology
Response Codes
Code Condition
204 the print technology was changed successfully
404 ordered product not found for the given id
Response Body
Media Type Data Type Description
application/json object
application/xml anyType
POST /accounts/{accountId}/shops/{shopId}/orders/{orderId}/orderedProducts/{orderedProductId}/share

Share ordered product.

Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
orderId required path   int the unique identifier of the order
orderedProductId required path   int the unique identifier of the ordered product
shopId required path   int the unique identifier of the shop
Response Codes
Code Condition
200 the shared product was created successfully
404 ordered product not found for the given id
Response Body
Media Type Data Type Description
application/json SharedProduct
application/xml SharedProduct
Response (XML)
<sharedProduct>
  <id>...</id>
  <version>...</version>
  <created>2019-04-25T18:02:07+02:00</created>
  <uuid>...</uuid>
  <assignedProductColor>
    <id>...</id>
    <orderIndex>1</orderIndex>
    <productColor>
      <id>...</id>
      <name>black</name>
    </productColor>
    <default>...</default>
    <active>...</active>
  </assignedProductColor>
  <useAllColorSize>...</useAllColorSize>
  <design>
    <id>...</id>
    <product>
      <id>...</id>
      <name>Premium T-shirt</name>
      <amountMultiply>...</amountMultiply>
      <artNr>180.42</artNr>
      <model>Exact 190</model>
      <hsCode>ABC123456789</hsCode>
      <active>...</active>
      <orderIndex>1</orderIndex>
    </product>
    <price>...</price>
  </design>
  <link href="..." hreflang="..." length="..." rel="..." title="..." type="..." xmlns="http://www.w3.org/2005/Atom"/>
</sharedProduct>
Response (JSON)
{
  "sharedProduct" : {
    "id" : 12345,
    "version" : 12345,
    "created" : 12345,
    "uuid" : "...",
    "assignedProductColor" : {
      "id" : 12345,
      "orderIndex" : 1,
      "productColor" : {
        "id" : 12345,
        "name" : "black"
      },
      "default" : true,
      "active" : true
    },
    "useAllColorSize" : true,
    "design" : {
      "id" : 12345,
      "product" : {
        "id" : 12345,
        "name" : "Premium T-shirt",
        "amountMultiply" : 12345,
        "artNr" : "180.42",
        "model" : "Exact 190",
        "hsCode" : "ABC123456789",
        "active" : true,
        "orderIndex" : 1
      },
      "price" : 12345.0
    },
    "rest" : [ { }, { } ]
  }
}